Gecode::Gist::LayoutConfig Namespace Reference

Parameters for the tree layout. More...

## Variables

const int | minScale = 10
| Minimum scale factor.
const int | maxScale = 400
| Maximum scale factor.
const int | defScale = 100
| Default scale factor.
const int | maxAutoZoomScale = defScale
| Maximum scale factor for automatic zoom.

## Detailed Description

Parameters for the tree layout.

## Variable Documentation

## minScale

const int Gecode::Gist::LayoutConfig::minScale = 10

Minimum scale factor.

Definition at line 52 of file treecanvas.hh.

## maxScale

const int Gecode::Gist::LayoutConfig::maxScale = 400

Maximum scale factor.

Definition at line 54 of file treecanvas.hh.

## defScale

const int Gecode::Gist::LayoutConfig::defScale = 100

Default scale factor.

Definition at line 56 of file treecanvas.hh.

## maxAutoZoomScale

const int Gecode::Gist::LayoutConfig::maxAutoZoomScale = defScale

Maximum scale factor for automatic zoom.

Definition at line 58 of file treecanvas.hh.